if [ $# -ne 1 ]; then
    echo "usage: $0 FILE"
    exit 1
fi

if [ -e $1 -a ! -f $1 ]; then
    echo "$1 is not a file"
fi

echo -n > $1


users=$(who -q|head -n 1|tr -s ' ' '\n'|sort|uniq)  
# oppure:    users=$(who|cut -d " " -f 1|sort|uniq)   


for user in $users; do
    echo "UTENTE $user" >> $1
    ps -u$user >> $1
done
