if [ $# -le 0 ]; then
    echo "usage: $0 <DIR> [ DIR ... ]"
    exit 1
fi

for dir in $@; do
		echo -n "ext: "
        read ext
        while [ ! $ext = "END" ]; do
        		nfiles=$(ls -l $dir/*.$ext 2>/dev/null|wc -l)     #   2>dev/null    redireziona i messaggi di errore in /dev/null (in pratica non li visualizza)
        		if [ $nfiles -eq 0 ]; then
            		echo "no $dir/*.$ext files to remove"
        		else
        		    let nfiles=$nfiles-1
            		rm -f $dir/*.$ext
            		echo "removed $nfiles $dir/*.$ext files"
        		fi
        		echo -n "ext: "
        		read ext
    done
done
